Accounting Field Values
Manages selectable values for custom accounting fields used when coding Airwallex Spend transactions.
POST /api/v1/accounting/accounting_field_values/createGET /api/v1/accounting/accounting_field_values/{id}GET /api/v1/accounting/accounting_field_valuesPOST /api/v1/accounting/accounting_field_values/{id}/update
Create an Accounting Field ValueBeta
POST /api/v1/accounting/accounting_field_values/create
Creates a new accounting field value for coding Airwallex Spend transactions.
Unique identifier of the parent accounting field.
Unique identifier for this request to ensure idempotency. Generate a random UUID to prevent accidental duplication.
Accounting field value name.
External ID from the accounting system.
Legal entity IDs to which this accounting field value applies. Omit this field when it applies to all legal entities.
Airwallex display name for the accounting field value.
Unique identifier of the parent accounting field.
Time at which the accounting field value was created, in ISO 8601 format.
External ID from the accounting system.
Unique identifier of the accounting field value.
Legal entity IDs to which this accounting field value applies. Omit this field when it applies to all legal entities.
Status of an Accounting resource used in Airwallex Spend.
ACTIVEARCHIVEDTime at which the accounting field value was last updated, in ISO 8601 format.
Accounting field value name.
Airwallex display name for the accounting field value.
| Error status | Description |
|---|---|
| 400 | Invalid request. |
| 404 | Not found. |
| 500 | Internal server error. |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/accounting/accounting_field_values/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "request_id": "4b8d83d6-70c4-429d-8a0b-bb3281f6b17f",> "accounting_field_id": "985461d5-016f-4e1f-a387-5f1380b42d92",> "value": "RSG1",> "value_label": "Singapore | RSG1",> "external_id": "RSG1",> "legal_entity_ids": [> "le_U3jlHqQRNHWn2zAKeeT8sg"> ]>}'
1{2 "id": "4b8d83d6-70c4-429d-8a0b-bb3281f6b17f",3 "accounting_field_id": "985461d5-016f-4e1f-a387-5f1380b42d92",4 "value": "RSG1",5 "value_label": "Singapore | RSG1",6 "external_id": "RSG1",7 "legal_entity_ids": [8 "le_U3jlHqQRNHWn2zAKeeT8sg"9 ],10 "status": "ACTIVE",11 "created_at": "2025-01-01T00:00:00Z",12 "updated_at": "2025-01-01T00:00:00Z"13}
Retrieve an Accounting Field ValueBeta
GET /api/v1/accounting/accounting_field_values/{id}
Retrieves an existing accounting field value used in Airwallex Spend.
Unique identifier of the accounting field value.
Unique identifier of the parent accounting field.
Time at which the accounting field value was created, in ISO 8601 format.
External ID from the accounting system.
Unique identifier of the accounting field value.
Legal entity IDs to which this accounting field value applies. Omit this field when it applies to all legal entities.
Status of an Accounting resource used in Airwallex Spend.
ACTIVEARCHIVEDTime at which the accounting field value was last updated, in ISO 8601 format.
Accounting field value name.
Airwallex display name for the accounting field value.
| Error status | Description |
|---|---|
| 400 | Invalid request. |
| 404 | Not found. |
| 500 | Internal server error. |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/accounting/accounting_field_values/4b8d83d6-70c4-429d-8a0b-bb3281f6b17f' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "id": "4b8d83d6-70c4-429d-8a0b-bb3281f6b17f",3 "accounting_field_id": "985461d5-016f-4e1f-a387-5f1380b42d92",4 "value": "RSG1",5 "value_label": "Singapore | RSG1",6 "external_id": "RSG1",7 "legal_entity_ids": [8 "le_U3jlHqQRNHWn2zAKeeT8sg"9 ],10 "status": "ACTIVE",11 "created_at": "2025-01-01T00:00:00Z",12 "updated_at": "2025-02-02T00:00:00Z"13}
List all Accounting Field ValuesBeta
GET /api/v1/accounting/accounting_field_values
Returns accounting field values used in Airwallex Spend, filtered by the specified query parameters.
Filter by accounting field ID.
Filter by external ID.
Filter by legal entity ID.
A bookmark for use in pagination to retrieve the next or previous page of results.
Filter by accounting field value status.
ACTIVEARCHIVEDList of accounting field values returned.
Unique identifier of the parent accounting field.
Time at which the accounting field value was created, in ISO 8601 format.
Unique identifier of the accounting field value.
Status of an Accounting resource used in Airwallex Spend.
ACTIVEARCHIVEDTime at which the accounting field value was last updated, in ISO 8601 format.
Accounting field value name.
External ID from the accounting system.
Legal entity IDs to which this accounting field value applies. Omit this field when it applies to all legal entities.
Airwallex display name for the accounting field value.
A pointer to the end of the page list used to retrieve the next page of results.
A pointer to the start of the page list used to retrieve the previous page of results.
| Error status | Description |
|---|---|
| 400 | Invalid request. |
| 404 | Not found. |
| 500 | Internal server error. |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/accounting/accounting_field_values' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "items": [3 {4 "id": "4b8d83d6-70c4-429d-8a0b-bb3281f6b17f",5 "accounting_field_id": "985461d5-016f-4e1f-a387-5f1380b42d92",6 "value": "RSG1",7 "value_label": "Singapore | RSG1",8 "external_id": "RSG1",9 "legal_entity_ids": [10 "le_U3jlHqQRNHWn2zAKeeT8sg"11 ],12 "status": "ACTIVE",13 "created_at": "2025-01-01T00:00:00Z",14 "updated_at": "2025-02-02T00:00:00Z"15 }16 ],17 "page_after": "eyJwYWdlIjoiMiJ9"18}
Update an Accounting Field ValueBeta
POST /api/v1/accounting/accounting_field_values/{id}/update
Updates an existing accounting field value used in Airwallex Spend.
Unique identifier of the accounting field value.
Unique identifier of the parent accounting field.
Status of an Accounting resource used in Airwallex Spend.
ACTIVEARCHIVEDAccounting field value name.
External ID from the accounting system.
Legal entity IDs to which this accounting field value applies. Omit this field when it applies to all legal entities.
Airwallex display name for the accounting field value.
Unique identifier of the parent accounting field.
Time at which the accounting field value was created, in ISO 8601 format.
External ID from the accounting system.
Unique identifier of the accounting field value.
Legal entity IDs to which this accounting field value applies. Omit this field when it applies to all legal entities.
Status of an Accounting resource used in Airwallex Spend.
ACTIVEARCHIVEDTime at which the accounting field value was last updated, in ISO 8601 format.
Accounting field value name.
Airwallex display name for the accounting field value.
| Error status | Description |
|---|---|
| 400 | Invalid request. |
| 404 | Not found. |
| 500 | Internal server error. |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/accounting/accounting_field_values/4b8d83d6-70c4-429d-8a0b-bb3281f6b17f/update' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "accounting_field_id": "985461d5-016f-4e1f-a387-5f1380b42d92",> "value": "RSG1",> "value_label": "Singapore | RSG1",> "external_id": "RSG1",> "legal_entity_ids": [> "le_U3jlHqQRNHWn2zAKeeT8sg"> ],> "status": "ACTIVE">}'
1{2 "id": "4b8d83d6-70c4-429d-8a0b-bb3281f6b17f",3 "accounting_field_id": "985461d5-016f-4e1f-a387-5f1380b42d92",4 "value": "RSG1",5 "value_label": "Singapore | RSG1",6 "external_id": "RSG1",7 "legal_entity_ids": [8 "le_U3jlHqQRNHWn2zAKeeT8sg"9 ],10 "status": "ACTIVE",11 "created_at": "2025-01-01T00:00:00Z",12 "updated_at": "2025-02-02T00:00:00Z"13}